<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classWIB__PWR__POLL__MON.html">WIB_PWR_POLL_MON</a></li><li class="navelem"><a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classWIB__PWR__POLL__MON_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:ad425a879ef85f745035d03220c7b2b84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad425a879ef85f745035d03220c7b2b84"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#ad425a879ef85f745035d03220c7b2b84">idle_counter</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a83836c0eaf7e95291960ce313c0fd96f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83836c0eaf7e95291960ce313c0fd96f"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a83836c0eaf7e95291960ce313c0fd96f">convert_counter</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aeb2aa055a5614ef9a0a97a489768a81a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb2aa055a5614ef9a0a97a489768a81a"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#aeb2aa055a5614ef9a0a97a489768a81a">state_machine_transitions</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5cee9c4422a7d8bf50e11e1ff8dfc16b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5cee9c4422a7d8bf50e11e1ff8dfc16b"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a5cee9c4422a7d8bf50e11e1ff8dfc16b">state_machine</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:afc0dd45f8d89fe2e0fc71ccbfcc771a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc0dd45f8d89fe2e0fc71ccbfcc771a8"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#afc0dd45f8d89fe2e0fc71ccbfcc771a8">I2C_reg_master</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classI2C__reg__master.html">&lt;Entity I2C_reg_master&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:a46378c04c146a59dcf65b94dff62ee67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46378c04c146a59dcf65b94dff62ee67"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a46378c04c146a59dcf65b94dff62ee67">IDLE_COUNT_END</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00061A80 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a768f04f6cc768278652f33e97075e636"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a768f04f6cc768278652f33e97075e636"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a768f04f6cc768278652f33e97075e636">IDLE_COUNT_START</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00000000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3fccbb749a83e075a508ea807c5ab3b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3fccbb749a83e075a508ea807c5ab3b9"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a3fccbb749a83e075a508ea807c5ab3b9">CONVERT_COUNT_END</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">19</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 13880 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4003e521fab06bb1ab512d671fbd4e0f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4003e521fab06bb1ab512d671fbd4e0f"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a4003e521fab06bb1ab512d671fbd4e0f">CONVERT_COUNT_START</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">19</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad34f3ab3d3fcd6944487c9aaf61975d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad34f3ab3d3fcd6944487c9aaf61975d9"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#ad34f3ab3d3fcd6944487c9aaf61975d9">CONVERT_RUNNING_BIT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0f614ff6712e870cd153dd1f36e6b1c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f614ff6712e870cd153dd1f36e6b1c6"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a0f614ff6712e870cd153dd1f36e6b1c6">SENSOR_PAIR_COUNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">5</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4fb822d9f83dff85700aa4116a20d859"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4fb822d9f83dff85700aa4116a20d859"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a4fb822d9f83dff85700aa4116a20d859">sensor_pair_number_end</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span><span class="vhdlchar">SENSOR_PAIR_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">SENSOR_PAIR_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae9ff728e1f5349f585061aad5efea111"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9ff728e1f5349f585061aad5efea111"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#ae9ff728e1f5349f585061aad5efea111">sensor_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">uint8_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SENSOR_PAIR_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1a &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 16 &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 12 &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0e &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0a &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a78fee9e83352f7b1c0091e93c5fbbf6f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78fee9e83352f7b1c0091e93c5fbbf6f"></a>
<b><a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a78fee9e83352f7b1c0091e93c5fbbf6f">PWR_state_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_RESET</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_INIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_INIT_DELAY</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_INIT_OK</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_IDLE_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_START</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_CONVERT_CMD</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_CONVERT_DELAY</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_CONVERT_CMD_OK</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_CONVERT_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_STATUS_CMD</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_STATUS_DELAY</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_STATUS_CMD_OK</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_READOUT_CMD</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_READOUT_DELAY</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_READOUT_CMD_OK</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PS_READOUT_SAVE</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a10dc4df1f8c985b14e26e637b547f49c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10dc4df1f8c985b14e26e637b547f49c"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a10dc4df1f8c985b14e26e637b547f49c">reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a15565407375d8bdda7253bfbc1eb75ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15565407375d8bdda7253bfbc1eb75ce"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a15565407375d8bdda7253bfbc1eb75ce">run</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a64c4d4ef4add1574fa629cb94027f74d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64c4d4ef4add1574fa629cb94027f74d"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a64c4d4ef4add1574fa629cb94027f74d">rw</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a53d79b4aee31873ca93cac7bc19a9c13"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53d79b4aee31873ca93cac7bc19a9c13"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a53d79b4aee31873ca93cac7bc19a9c13">reg_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2cd4ec2043d081bbcc5daea8494e76c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2cd4ec2043d081bbcc5daea8494e76c2"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a2cd4ec2043d081bbcc5daea8494e76c2">rd_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a885e240b578915df9824dbb9d7b6f486"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a885e240b578915df9824dbb9d7b6f486"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a885e240b578915df9824dbb9d7b6f486">wr_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00000000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab6e6315c468a4228d0ef94b78c6834ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6e6315c468a4228d0ef94b78c6834ea"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#ab6e6315c468a4228d0ef94b78c6834ea">byte_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a61386209a68e953ba7074e4c83b7a66b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61386209a68e953ba7074e4c83b7a66b"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a61386209a68e953ba7074e4c83b7a66b">transaction_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7838b7eec966a0f9e4559181dd56dcc9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7838b7eec966a0f9e4559181dd56dcc9"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a7838b7eec966a0f9e4559181dd56dcc9">transaction_error</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6520161b3a6c075efeb6e4c7fb49ef35"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6520161b3a6c075efeb6e4c7fb49ef35"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a6520161b3a6c075efeb6e4c7fb49ef35">idle_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">IDLE_COUNT_START</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a46fef5889a2525965bf91e8c0dccd4b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46fef5889a2525965bf91e8c0dccd4b0"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a46fef5889a2525965bf91e8c0dccd4b0">idle_count_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5732686b34bab27f263d0c42b400a643"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5732686b34bab27f263d0c42b400a643"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a5732686b34bab27f263d0c42b400a643">convert_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">19</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">CONVERT_COUNT_START</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a51cee097b24a95d5a0d2b4254e9cc973"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51cee097b24a95d5a0d2b4254e9cc973"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a51cee097b24a95d5a0d2b4254e9cc973">convert_count_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeb27317e4f27f1fd4e01aa6331686861"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb27317e4f27f1fd4e01aa6331686861"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#aeb27317e4f27f1fd4e01aa6331686861">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">PWR_state_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">PS_RESET</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a747dc88d9c8a888c6d93ad2f7f89a4a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a747dc88d9c8a888c6d93ad2f7f89a4a7"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a747dc88d9c8a888c6d93ad2f7f89a4a7">readout_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a53a2770b4bba22c2c4abfb9377868c07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53a2770b4bba22c2c4abfb9377868c07"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a53a2770b4bba22c2c4abfb9377868c07">iDevice</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span><span class="vhdlchar">DEVICE_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aad98b20baeea9303005e36b8b7d014e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aad98b20baeea9303005e36b8b7d014e7"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#aad98b20baeea9303005e36b8b7d014e7">ENABLED_SENSORS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; F8 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2adbbe59ed170bed261766cd872696b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2adbbe59ed170bed261766cd872696b1"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#a2adbbe59ed170bed261766cd872696b1">sensor_pair_number</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span><span class="vhdlchar">SENSOR_PAIR_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:afa83316d04e68c9731c7b09c7d53182f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa83316d04e68c9731c7b09c7d53182f"></a>
<a class="el" href="classWIB__PWR__POLL__MON_1_1behavioral.html#afa83316d04e68c9731c7b09c7d53182f">I2C_PWR_MON</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.I2C_reg_master</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="WIB__PWR__POLL__MON_8vhd_source.html#l00029">29</a> of file <a class="el" href="WIB__PWR__POLL__MON_8vhd_source.html">WIB_PWR_POLL_MON.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/Power/<a class="el" href="WIB__PWR__POLL__MON_8vhd_source.html">WIB_PWR_POLL_MON.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:37 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
